Bug 1297866 - [abrt] colord: cd_sensor_finalize(): colord-session killed by SIGSEGV
[abrt] colord: cd_sensor_finalize(): colord-session killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: colord (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:72ba7f6d93b003e34143e8c46a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 11:33 EST by Mikko Tiihonen
Modified: 2017-08-08 08:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.52 KB, text/plain)
2016-01-12 11:33 EST, Mikko Tiihonen
no flags Details
File: cgroup (269 bytes, text/plain)
2016-01-12 11:33 EST, Mikko Tiihonen
no flags Details
File: core_backtrace (1.07 KB, text/plain)
2016-01-12 11:33 EST, Mikko Tiihonen
no flags Details
File: dso_list (2.87 KB, text/plain)
2016-01-12 11:33 EST, Mikko Tiihonen
no flags Details
File: environ (516 bytes, text/plain)
2016-01-12 11:33 EST, Mikko Tiihonen
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-12 11:33 EST, Mikko Tiihonen
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-12 11:33 EST, Mikko Tiihonen
no flags Details
File: maps (15.07 KB, text/plain)
2016-01-12 11:33 EST, Mikko Tiihonen
no flags Details
File: mountinfo (3.63 KB, text/plain)
2016-01-12 11:34 EST, Mikko Tiihonen
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-12 11:34 EST, Mikko Tiihonen
no flags Details
File: open_fds (597 bytes, text/plain)
2016-01-12 11:34 EST, Mikko Tiihonen
no flags Details
File: proc_pid_status (1.18 KB, text/plain)
2016-01-12 11:34 EST, Mikko Tiihonen
no flags Details
File: var_log_messages (2.75 KB, text/plain)
2016-01-12 11:34 EST, Mikko Tiihonen
no flags Details

  None (edit)
Description Mikko Tiihonen 2016-01-12 11:33:44 EST
Description of problem:
I was trying to color calibrate my monitor with color munki

Version-Release number of selected component:
colord-1.3.1-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/colord-session
crash_function: cd_sensor_finalize
executable:     /usr/libexec/colord-session
global_pid:     3263
kernel:         4.4.0-0.rc8.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 cd_sensor_finalize at cd-sensor.c:1636
Comment 1 Mikko Tiihonen 2016-01-12 11:33:49 EST
Created attachment 1113998 [details]
File: backtrace
Comment 2 Mikko Tiihonen 2016-01-12 11:33:51 EST
Created attachment 1113999 [details]
File: cgroup
Comment 3 Mikko Tiihonen 2016-01-12 11:33:52 EST
Created attachment 1114000 [details]
File: core_backtrace
Comment 4 Mikko Tiihonen 2016-01-12 11:33:53 EST
Created attachment 1114001 [details]
File: dso_list
Comment 5 Mikko Tiihonen 2016-01-12 11:33:55 EST
Created attachment 1114002 [details]
File: environ
Comment 6 Mikko Tiihonen 2016-01-12 11:33:56 EST
Created attachment 1114003 [details]
File: exploitable
Comment 7 Mikko Tiihonen 2016-01-12 11:33:58 EST
Created attachment 1114004 [details]
File: limits
Comment 8 Mikko Tiihonen 2016-01-12 11:33:59 EST
Created attachment 1114005 [details]
File: maps
Comment 9 Mikko Tiihonen 2016-01-12 11:34:01 EST
Created attachment 1114006 [details]
File: mountinfo
Comment 10 Mikko Tiihonen 2016-01-12 11:34:02 EST
Created attachment 1114007 [details]
File: namespaces
Comment 11 Mikko Tiihonen 2016-01-12 11:34:04 EST
Created attachment 1114008 [details]
File: open_fds
Comment 12 Mikko Tiihonen 2016-01-12 11:34:05 EST
Created attachment 1114009 [details]
File: proc_pid_status
Comment 13 Mikko Tiihonen 2016-01-12 11:34:07 EST
Created attachment 1114010 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-02-24 09:16:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Daniël van Eeden 2016-07-05 15:50:31 EDT
Similar problem has been detected:

Use a ColorHug device to calibrate a new screen

From the journal:
Jul 05 21:43:52 dve-mac dbus-daemon[1696]: Activating via systemd: service name='org.freedesktop.ColorHelper' unit='colord-session.service'
Jul 05 21:43:52 dve-mac systemd[1637]: Starting Color management helper...
Jul 05 21:43:52 dve-mac dbus-daemon[1696]: Successfully activated service 'org.freedesktop.ColorHelper'
Jul 05 21:43:52 dve-mac systemd[1637]: Started Color management helper.
Jul 05 21:43:53 dve-mac colord[1486]: (colord:1486): Cd-WARNING **: ignoring error: usb:00:02: Invalid read: retval=0x0a [Invalid value] cmd=0x35 [get-remote-hash] (expected 0x35 [get-remote-hash]) len=64 (expected 22 or 64)
Jul 05 21:43:53 dve-mac gnome-settings-daemon.desktop[1885]: Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Jul 05 21:43:53 dve-mac gnome-settings-daemon.desktop[1885]: (gnome-control-center:6554): color-cc-panel-WARNING **: /var/lib/gdm/.local/share/icc/edid-8fd6674fbbb87390e1dc367afbad6b77.icc is not usable by this user
Jul 05 21:43:59 dve-mac gnome-settings-daemon.desktop[1885]: (gnome-control-center:6554): color-cc-panel-WARNING **: calibration failed with code 1: usb:00:02: Invalid read: retval=0x0a [Invalid value] cmd=0x35 [get-remote-hash] (expected 0x35 [get-remote-hash]) len=64 (expected 22 or 64)
Jul 05 21:44:00 dve-mac colord-session[6643]: **
Jul 05 21:44:00 dve-mac colord-session[6643]: libcolord:ERROR:cd-sensor.c:1630:cd_sensor_finalize: assertion failed: (ret > 0)
Jul 05 21:44:00 dve-mac audit[6643]: ANOM_ABEND auid=4294967295 uid=1000 gid=1000 ses=4294967295 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=6643 comm="colord-session" exe="/usr/libexec/colord-session" sig=6
Jul 05 21:44:00 dve-mac abrt-hook-ccpp[6665]: Process 6643 (colord-session) of user 1000 killed by SIGABRT - dumping core
Jul 05 21:44:00 dve-mac systemd[1637]: colord-session.service: Main process exited, code=dumped, status=6/ABRT
Jul 05 21:44:00 dve-mac systemd[1637]: colord-session.service: Unit entered failed state.
Jul 05 21:44:00 dve-mac systemd[1637]: colord-session.service: Failed with result 'core-dump'.
Jul 05 21:44:00 dve-mac gnome-settings-daemon.desktop[1421]: (gnome-settings-daemon:1421): color-plugin-WARNING **: failed to set screen _ICC_PROFILE: Failed to open file '/home/dvaneeden/.local/share/icc/edid-8fd6674fbbb87390e1dc367afbad6b77.icc': Permission denied
Jul 05 21:44:00 dve-mac gnome-settings-daemon.desktop[1885]: (gnome-control-center:6554): color-cc-panel-WARNING **: /var/lib/gdm/.local/share/icc/edid-8fd6674fbbb87390e1dc367afbad6b77.icc is not usable by this user
Jul 05 21:44:00 dve-mac abrt-server[6667]: Deleting problem directory ccpp-2016-07-05-21:44:00-6643 (dup of ccpp-2016-07-05-20:47:16-3971)
Jul 05 21:44:03 dve-mac gnome-settings-daemon.desktop[1885]: (gnome-control-center:6554): color-cc-panel-WARNING **: failed to start calibrate: failed to calibrate


Device info:
ColorHug
  Guid:                 40338ceb-b966-4eae-adae-9c32edfcc484
  DeviceID:             usb:00:02_40338ceb-b966-4eae-adae-9c32edfcc484
  Description:          <p>Updating the firmware on your ColorHug device improves performance and adds new features.</p>
  Provider:             ColorHug
  Flags:                allow-online|allow-offline|supported
  Version:              1.2.5
  Created:              2016-07-05
  Modified:             2016-07-05
  AppstreamId:          com.hughski.ColorHug.firmware
  Name:                 ColorHug
  Summary:              Firmware for the Hughski ColorHug Colorimeter
  UpdateDescription:    <p>1.2.5:</p><p>This release fixes the firmware package to work with new versions of fwupd.</p><p>1.2.4:</p><p>This release adds support for verifying the firmware contents using fwupd.</p><p>1.2.3:</p><p>This stable release fixes the following bugs:</p><ul><li>In some circumstances the ColorHug device would mistake a very bright screen as no color detected</li><li>Use a quicker start-up flash sequence to fix flashing on Windows XP</li></ul>
  UpdateVersion:        1.2.5
  UpdateHash:           3831532bc94e6385807372a5485a8cbf6b024eeb
  UpdateChecksumKind:   sha1
  License:              GPL-2.0+
  UpdateUri:            https://secure-lvfs.rhcloud.com/downloads/9a4e77009da7d3b5f15a1388afeb9e5d41a5a8ae-hughski-colorhug2-1.2.5.cab
  UrlHomepage:          http://www.hughski.com/
  Vendor:               Hughski Limited
  Trusted:              none


reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/colord-session
crash_function: cd_sensor_finalize
executable:     /usr/libexec/colord-session
global_pid:     3971
kernel:         4.6.3-300.fc24.x86_64
package:        colord-1.3.2-3.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         colord-session killed by SIGABRT
reproducible:   The problem is reproducible
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Brian Morrison 2016-07-11 11:27:25 EDT
Quite likely to be related to #1297167, it seems there are timeouts in reading the sensor output with darker colours.
Comment 17 Alexander Bokovoy 2016-07-23 15:13:21 EDT
Similar problem has been detected:

Received ColorHug2 and tried to calibrate the display of Thinkpad T440s
At the point when actual calibration was about to start (I pressed 'start'
button after securing the ColorHug2 on the display), the colord-sesion crashed.

This happens with both stock (I guess 2.0.5) and updated firmware on the
ColorHug2 (2.0.6).

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/colord-session
crash_function: cd_sensor_finalize
executable:     /usr/libexec/colord-session
global_pid:     28326
kernel:         4.5.6-300.fc24.x86_64
package:        colord-1.3.2-3.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         colord-session killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Fedora End Of Life 2017-07-25 15:46:07 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2017-08-08 08:39:01 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.